import {ChangeDetectionStrategy, Component, EventEmitter, Input, Output} from "@angular/core";
import {SearchScopeEnum} from "@app/access/enums/search-scope.enum";
import {AbstractComponent} from "@app/shared/components/abstract/abstract.component";

@Component({
  selector: "dlcm-search-filter",
  templateUrl: "./search-scope.component.html",
  styleUrls: ["./search-scope.component.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class SearchScopeComponent extends AbstractComponent {
  @Input()
  searchScope: SearchScopeEnum;

  @Output("searchScopeChange")
  searchScopeEvent: EventEmitter<SearchScopeEnum> = new EventEmitter<SearchScopeEnum>();

  get searchScopeEnum(): typeof SearchScopeEnum {
    return SearchScopeEnum;
  }

  changeSearchScope(searchScope: SearchScopeEnum): void {
    this.searchScopeEvent.emit(searchScope);
  }
}
