export const urlSeparator: string = "/";
const id: string = ":id";

export enum AppRoutesEnum {
  root = "",
  home = "home",
  index = "index",
  login = "login",
  access = "access",
  deposit = "deposit",
  organizationalUnit = "oragnizational-unit",
  separator = "/",
  paramId = ":id",
}

export enum DepositRoutesEnum {
  create = "create",
  detail = "detail",
  edit = "edit",
}

export enum OrganizationalUnitRoutesEnum {
  create = "create",
  detail = "detail",
  edit = "edit",
}

export class RoutesEnum {
  static home: string = AppRoutesEnum.home;
  static index: string = AppRoutesEnum.index;
  static login: string = AppRoutesEnum.login;
  static access: string = AppRoutesEnum.access;
  static organizationalUnit: string = AppRoutesEnum.organizationalUnit;
  static organizationalUnitCreate: string = AppRoutesEnum.organizationalUnit + urlSeparator + OrganizationalUnitRoutesEnum.create;
  static organizationalUnitDetail: string = AppRoutesEnum.organizationalUnit + urlSeparator + OrganizationalUnitRoutesEnum.detail;
  static organizationalUnitEdit: string = AppRoutesEnum.organizationalUnit + urlSeparator + OrganizationalUnitRoutesEnum.edit;
  static deposit: string = AppRoutesEnum.deposit;
  static depositCreate: string = AppRoutesEnum.deposit + urlSeparator + DepositRoutesEnum.create;
  static depositDetail: string = AppRoutesEnum.deposit + urlSeparator + DepositRoutesEnum.detail;
  static depositEdit: string = AppRoutesEnum.deposit + urlSeparator + DepositRoutesEnum.edit;
}
