import {AccessStateModel} from "@app/access/stores/access.state";
import {AppStateModel} from "@app/stores/app.state";
import {DepositStateModel} from "@app/deposit/stores/deposit.state";
import {StateEnum} from "@app/shared/enums/state.enum";
import {OrganizationalUnitStateModel} from "@app/shared/stores/organizational-unit/organizational-unit.state";
import {SharedStateModel} from "@app/shared/stores/shared/shared.state";
import {RouterStateModel} from "@ngxs/router-plugin";

export interface StateModel {
  [StateEnum.router]: RouterStateModel;
  [StateEnum.application]: AppStateModel;
  [StateEnum.deposit]: DepositStateModel;
  [StateEnum.access]: AccessStateModel;
  [StateEnum.organizationalUnit]: OrganizationalUnitStateModel;
  [StateEnum.shared]: SharedStateModel;
}
