import {ResourceNameSpace} from "../../../core/stores/resource/resource-namespace.model";
import {ResourceAction} from "@app/core/stores/resource/resource.action";
import {DepositsModel} from "@app/generated-api";
import {TypeDefaultAction} from "@app/shared/decorators/type-default-action.decorator";
import {StateEnum} from "@app/shared/enums/state.enum";

const state = StateEnum.language;

export namespace LanguageAction {
  @TypeDefaultAction(state)
  export class LoadResource extends ResourceAction.LoadResource {
  }

  @TypeDefaultAction(state)
  export class LoadResourceSuccess extends ResourceAction.LoadResourceSuccess {
  }

  @TypeDefaultAction(state)
  export class LoadResourceFail extends ResourceAction.LoadResourceFail {
  }

  @TypeDefaultAction(state)
  export class ChangeQueryParameters extends ResourceAction.ChangeQueryParameters {
  }

  @TypeDefaultAction(state)
  export class GetAll extends ResourceAction.GetAll {
  }

  @TypeDefaultAction(state)
  export class GetAllSuccess extends ResourceAction.GetAllSuccess<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class GetAllFail extends ResourceAction.GetAllFail<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class GetById extends ResourceAction.GetById {
  }

  @TypeDefaultAction(state)
  export class GetByIdSuccess extends ResourceAction.GetByIdSuccess<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class GetByIdFail extends ResourceAction.GetByIdFail<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class Create extends ResourceAction.Create<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class CreateSuccess extends ResourceAction.CreateSuccess<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class CreateFail extends ResourceAction.CreateFail<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class Update extends ResourceAction.Update<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class UpdateSuccess extends ResourceAction.UpdateSuccess<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class UpdateFail extends ResourceAction.UpdateFail<DepositsModel> {
  }

  @TypeDefaultAction(state)
  export class Delete extends ResourceAction.Delete {
  }

  @TypeDefaultAction(state)
  export class DeleteSuccess extends ResourceAction.DeleteSuccess {
  }

  @TypeDefaultAction(state)
  export class DeleteFail extends ResourceAction.DeleteFail {
  }
}

export const languageActionNameSpace: ResourceNameSpace = LanguageAction;
