import {ApiService} from "@app/core/http/api.service";
import {NotificationService} from "@app/core/services/notification.service";
import {ResourceNameSpace} from "../../../core/stores/resource/resource-namespace.model";
import {defaultResourceStateInitValue, ResourceState, ResourceStateModel} from "@app/core/stores/resource/resource.state";
import {PreservationPoliciesModel} from "@app/generated-api";
import {AdminResourceApiEnum, ResourceApiEnum} from "@app/shared/enums/api.enum";
import {StateEnum} from "@app/shared/enums/state.enum";
import {preservationPolicyActionNameSpace} from "@app/shared/stores/preservation-policy/preservation-policy.action";
import {State, Store} from "@ngxs/store";

export interface PreservationPolicyStateModel extends ResourceStateModel<PreservationPoliciesModel> {
}

@State<PreservationPolicyStateModel>({
  name: StateEnum.preservationPolicy,
  defaults: {
    ...defaultResourceStateInitValue,
  },
})
export class PreservationPolicyState extends ResourceState<PreservationPoliciesModel> {
  constructor(protected apiService: ApiService,
              protected store: Store,
              protected notificationService: NotificationService) {
    super(apiService, store, notificationService);
  }

  defineState(): StateEnum {
    return StateEnum.preservationPolicy;
  }

  defineResourceNameSpace(): ResourceNameSpace {
    return preservationPolicyActionNameSpace;
  }

  defineUrlResource(): ResourceApiEnum {
    return AdminResourceApiEnum.preservationPolicies;
  }
}
