import {OnInit} from "@angular/core";
import {ResourceActionHelper} from "@app/core/stores/resource/resource-action.helper";
import {ResourceNameSpace} from "../../../core/stores/resource/resource-namespace.model";
import {ResourceStateModel} from "@app/core/stores/resource/resource.state";
import {AbstractComponent} from "@app/shared/components/abstract/abstract.component";
import {StateEnum} from "@app/shared/enums/state.enum";
import {Store} from "@ngxs/store";

export abstract class AbstractCreateView<T, U extends ResourceStateModel<T>> extends AbstractComponent implements OnInit {
  protected constructor(protected store: Store,
                        private state: StateEnum,
                        private resourceActionNameSpace: ResourceNameSpace) {
    super();
  }

  create(model: T): void {
    this.store.dispatch(ResourceActionHelper.create(this.resourceActionNameSpace, model));
  }

  ngOnInit(): void {
    this.store.dispatch(ResourceActionHelper.loadResource(this.resourceActionNameSpace));
  }
}
